Package org.eclipse.graphiti.pattern.mapping

# Class StructureMappingGrid

java.lang.Object
org.eclipse.graphiti.pattern.mapping.MappingProviderProvider
org.eclipse.graphiti.pattern.mapping.StructureMapping
org.eclipse.graphiti.pattern.mapping.StructureMappingMulti
org.eclipse.graphiti.pattern.mapping.StructureMappingGrid

All Implemented Interfaces:
  `IStructureMapping`, `IStructureMappingGrid`, `IStructureMappingMulti`

public abstract class StructureMappingGrid extends StructureMappingMulti implements IStructureMappingGrid
The Class StructureMappingGrid.

## Constructor Summary

Constructors
Constructor
Description
`StructureMappingGrid(IDataMapping dataMapping, IMappingProvider mappingProvider)`
Creates a new `StructureMappingGrid`.

## Method Summary

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.StructureMappingMulti

`getLinkCreationInfos`

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.StructureMapping

`getDataMapping`

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.MappingProviderProvider

`getMappingProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.IStructureMapping

`getDataMapping`

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.IStructureMappingGrid

`getColumns, getRows`

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.IStructureMappingMulti

`getLinkCreationInfos`

## Constructor Details

### StructureMappingGrid

public StructureMappingGrid(IDataMapping dataMapping, IMappingProvider mappingProvider)
Creates a new `StructureMappingGrid`.

Parameters:
  `dataMapping` - the data mapping
  `mappingProvider` - the mapping provider